<?php

/**
 * Wiki plugin
 *
 *
 * Created: 2007-02-17
 * Last update: 2007-03-31
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 */

function wiki_plugin_dokuwiki_get_url_for_page_id( $p_page_id ) {
    $t_root_url = config_get( 'wiki_engine_url' );
    
    $t_root_namespace = config_get( 'wiki_root_namespace' );
    
    if ( is_blank( $t_root_namespace ) ) {
        $t_page_id = $p_page_id;
    } else {
        $t_page_id = $t_root_namespace . ':' . $p_page_id;
    }
    
    return $t_root_url . 'doku.php?id=' . urlencode( $t_page_id );
}

function wiki_plugin_dokuwiki_get_page_id_for_issue( $p_issue_id ) {
    $c_issue_id = db_prepare_int( $p_issue_id );
    
    $t_project_id = bug_get_field( $p_issue_id, 'project_id' );
    if ( config_get( 'plugins_wiki_url_type', PLUGINS_WIKI_URL_TYPE_DEFAULT, NO_USER, ALL_PROJECTS ) == PLUGINS_WIKI_BY_NAME ) {
        $t_project_id = project_get_name( $t_project_id );
    }
    
    return $t_project_id . ':issue:' . $c_issue_id;
}

function wiki_plugin_dokuwiki_get_url_for_issue( $p_issue_id ) {
    return wiki_plugin_dokuwiki_get_url_for_page_id( wiki_plugin_dokuwiki_get_page_id_for_issue( $p_issue_id ) );
}

function wiki_plugin_dokuwiki_get_page_id_for_project( $p_project_id ) {
    $t_home = 'start';
    if ( $p_project_id == ALL_PROJECTS ) {
        return $t_home;
    } else {
        $t_project_id = $p_project_id;
        if ( config_get( 'plugins_wiki_url_type', PLUGINS_WIKI_URL_TYPE_DEFAULT, NO_USER, ALL_PROJECTS ) == PLUGINS_WIKI_BY_NAME ) {
            $t_project_id = project_get_name( $t_project_id );
        }
        return $t_project_id . ':' . $t_home;
    }
}

function wiki_plugin_dokuwiki_get_url_for_project( $p_project_id ) {
    return wiki_plugin_dokuwiki_get_url_for_page_id( wiki_plugin_dokuwiki_get_page_id_for_project( $p_project_id ) );
}

?>
