<?php

/**
 * Wiki plugin
 *
 *
 * Created: 2007-02-17
 * Last update: 2007-03-31
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 */

if ( !ereg( 'plugins_page.php', $_SERVER['REQUEST_URI'] ) ) {
    header( 'Location: ../../plugins_page.php' );
    exit();
}

$t_user_id = auth_get_current_user_id();

$t_action = gpc_get_string( 'action', 'none' );
if ( $t_action == 'update' ) {
    $t_enable = gpc_get_bool( 'enable' );
    $t_root_namespace = gpc_get_string( 'root_namespace' );
    $t_template = gpc_get_string( 'template' );
    $t_user_id = gpc_get_int( 'user_id' );
    $t_password = gpc_get_string( 'password' );
    $t_url_type = gpc_get_int( 'url_type' );
    config_set( 'wiki_enable', $t_enable, NO_USER, ALL_PROJECTS );
    config_set( 'wiki_root_namespace', $t_root_namespace, NO_USER, ALL_PROJECTS );
    config_set( 'wiki_engine', 'plugin_dokuwiki' );
    config_set( 'wiki_engine_url', config_get( 'path' ) . 'dokuwiki/' );
    config_set( 'plugins_wiki_url_type', $t_url_type, NO_USER, ALL_PROJECTS );
    plugins_wiki_write_config( $t_template, user_get_name( $t_user_id ) );
    plugins_wiki_write_user( array( 'name' => user_get_name( $t_user_id ), 'password' => md5( $t_password ), 'email' => user_get_email( $t_user_id ) ) );
    header( 'Location: plugins_page.php?plugin=wiki' );
    exit();
}

$t_project_id = helper_get_current_project();

html_page_top1( lang_get( 'plugins_wiki_page_title' ) );
html_page_top2();

echo "\n\n";
echo "<br />\n<div align=\"center\">\n";
echo '  ' . lang_get( 'plugins_wiki_configuration_for_project' ) . "\n";

if ( is_writable( dirname( dirname( dirname( __FILE__ ) ) ) . DIRECTORY_SEPARATOR . 'dokuwiki' . DIRECTORY_SEPARATOR . 'conf' . DIRECTORY_SEPARATOR . 'local.php' ) && is_writable( dirname( dirname( dirname( __FILE__ ) ) ) . DIRECTORY_SEPARATOR . 'dokuwiki' . DIRECTORY_SEPARATOR . 'conf' . DIRECTORY_SEPARATOR . 'users.auth.php' ) ) {

    $t_user = plugins_wiki_read_user();

?>
  <br /><br />
  <form name="plugins_wiki" method="post" action="plugins_page.php">
    <input type="hidden" name="action" value="update" />
    <input type="hidden" name="project_id" value="<?php echo $t_project_id ?>" />
    <input type="hidden" name="plugin" value="wiki" />
    <table class="width75" cellspacing="1">

      <!-- Enable/Disable -->
      <tr <?php echo helper_alternate_class() ?>>
        <td class="category" width="30%">
          <span class="required">*</span><?php echo lang_get( 'plugins_wiki_enable' ) ?>
        </td>
        <td width="70%">
          <input tabindex="1" type="checkbox" name="enable"<?php check_checked( config_get( 'wiki_enable' ), ON ) ?> />
        </td>
      </tr>

      <!-- Root namespace -->
      <tr <?php echo helper_alternate_class() ?>>
        <td class="category" width="30%">
          <span class="required">*</span><?php echo lang_get( 'plugins_wiki_root_namespace' ) ?>
        </td>
        <td width="70%">
          <input tabindex="2" type="input" name="root_namespace" value="<?php echo config_get( 'wiki_root_namespace' ) ?>" />
        </td>
      </tr>

      <!-- Template -->
      <tr <?php echo helper_alternate_class() ?>>
        <td class="category" width="30%">
          <span class="required">*</span><?php echo lang_get( 'plugins_wiki_template' ) ?>
        </td>
        <td width="70%">
          <select tabindex="3" name="template">
<?php plugins_wiki_print_template_list() ?>
          </select>
        </td>
      </tr>

      <!-- URL Type -->
      <tr <?php echo helper_alternate_class() ?>>
        <td class="category" width="30%">
          <span class="required">*</span><?php echo lang_get( 'plugins_wiki_project_identified' ) ?>
        </td>
        <td width="70%">
          <select tabindex="3" name="url_type">
            <option value="<?php echo PLUGINS_WIKI_BY_NAME . '"'; check_selected( config_get( 'plugins_wiki_url_type', PLUGINS_WIKI_URL_TYPE_DEFAULT ), PLUGINS_WIKI_BY_ID ) ?>><?php echo lang_get( 'plugins_wiki_by_name' ) ?> (<?php echo lang_get( 'plugins_wiki_not_recommended' ) ?>)</option>
            <option value="<?php echo PLUGINS_WIKI_BY_ID . '"'; check_selected( config_get( 'plugins_wiki_url_type', PLUGINS_WIKI_URL_TYPE_DEFAULT ), PLUGINS_WIKI_BY_ID ) ?>><?php echo lang_get( 'plugins_wiki_by_id' ) ?></option>
          </select>
        </td>
      </tr>

      <!-- spacer -->
      <tr>
        <td class="spacer" colspan="2">&nbsp;</td>
      </tr>

      <!-- User -->
      <tr <?php echo helper_alternate_class() ?>>
        <td class="category" width="30%">
          <span class="required">*</span><?php echo lang_get( 'plugins_wiki_user' ) ?>
        </td>
        <td width="70%">
          <select tabindex="4" name="user_id">
            <?php print_user_option_list( user_get_id_by_name( $t_user['name'] ) ); ?>
          </select>
        </td>
      </tr>

      <!-- Password -->
      <tr <?php echo helper_alternate_class() ?>>
        <td class="category" width="30%">
          <span class="required">*</span><?php echo lang_get( 'plugins_wiki_password' ) ?>
        </td>
        <td width="70%">
          <input type="password" tabindex="5" name="password" />
        </td>
      </tr>

      <!-- Submit Button -->
      <tr>
        <td class="left">
          <span class="required"> * <?php echo lang_get( 'required' ) ?></span>
        </td>
        <td class="center">
          <input tabindex="6" type="submit" class="button" value="<?php echo lang_get( 'submit_button' ) ?>" />
        </td>
      </tr>
    </table>
  </form>

<?php

} else {
    echo '<br /><br /><font color="red">' . lang_get( 'plugins_wiki_write_access' ) . '</font>';
}

echo "</div>\n";

html_page_bottom1( __FILE__ );

?>
